searchData={"items":[{"type":"module","title":"GoogleApi.StorageTransfer.V1","doc":"API client metadata for GoogleApi.StorageTransfer.V1.","ref":"GoogleApi.StorageTransfer.V1.html"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.discovery_revision/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Api.GoogleServiceAccounts","doc":"API calls for all endpoints tagged `GoogleServiceAccounts`.","ref":"GoogleApi.StorageTransfer.V1.Api.GoogleServiceAccounts.html"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Api.GoogleServiceAccounts.storagetransfer_google_service_accounts_get/4","doc":"Returns the Google service account that is used by Storage Transfer Service to access buckets in the project where transfers run or in other projects. Each Google service account is associated with one Google Cloud project. Users should add this service account to the Google Cloud Storage bucket ACLs to grant access to Storage Transfer Service. This service account is created and owned by Storage Transfer Service and can only be used by Storage Transfer Service.","ref":"GoogleApi.StorageTransfer.V1.Api.GoogleServiceAccounts.html#storagetransfer_google_service_accounts_get/4"},{"type":"function","title":"Parameters - GoogleApi.StorageTransfer.V1.Api.GoogleServiceAccounts.storagetransfer_google_service_accounts_get/4","doc":"*   `connection` (*type:* `GoogleApi.StorageTransfer.V1.Connection.t`) - Connection to server\n*   `project_id` (*type:* `String.t`) - Required. The ID of the Google Cloud project that the Google service account is associated with.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.StorageTransfer.V1.Api.GoogleServiceAccounts.html#storagetransfer_google_service_accounts_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.StorageTransfer.V1.Api.GoogleServiceAccounts.storagetransfer_google_service_accounts_get/4","doc":"*   `{:ok, %GoogleApi.StorageTransfer.V1.Model.GoogleServiceAccount{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.StorageTransfer.V1.Api.GoogleServiceAccounts.html#storagetransfer_google_service_accounts_get/4-returns"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Api.Projects","doc":"API calls for all endpoints tagged `Projects`.","ref":"GoogleApi.StorageTransfer.V1.Api.Projects.html"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Api.Projects.storagetransfer_projects_agent_pools_create/4","doc":"Creates an agent pool resource.","ref":"GoogleApi.StorageTransfer.V1.Api.Projects.html#storagetransfer_projects_agent_pools_create/4"},{"type":"function","title":"Parameters - GoogleApi.StorageTransfer.V1.Api.Projects.storagetransfer_projects_agent_pools_create/4","doc":"*   `connection` (*type:* `GoogleApi.StorageTransfer.V1.Connection.t`) - Connection to server\n*   `project_id` (*type:* `String.t`) - Required. The ID of the Google Cloud project that owns the agent pool.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:agentPoolId` (*type:* `String.t`) - Required. The ID of the agent pool to create. The `agent_pool_id` must meet the following requirements: * Length of 128 characters or less. * Not start with the string `goog`. * Start with a lowercase ASCII character, followed by: * Zero or more: lowercase Latin alphabet characters, numerals, hyphens (`-`), periods (`.`), underscores (`_`), or tildes (`~`). * One or more numerals or lowercase ASCII characters. As expressed by the regular expression: `^(?!goog)[a-z]([a-z0-9-._~]*[a-z0-9])?$`.\n    *   `:body` (*type:* `GoogleApi.StorageTransfer.V1.Model.AgentPool.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.StorageTransfer.V1.Api.Projects.html#storagetransfer_projects_agent_pools_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.StorageTransfer.V1.Api.Projects.storagetransfer_projects_agent_pools_create/4","doc":"*   `{:ok, %GoogleApi.StorageTransfer.V1.Model.AgentPool{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.StorageTransfer.V1.Api.Projects.html#storagetransfer_projects_agent_pools_create/4-returns"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Api.Projects.storagetransfer_projects_agent_pools_delete/4","doc":"Deletes an agent pool.","ref":"GoogleApi.StorageTransfer.V1.Api.Projects.html#storagetransfer_projects_agent_pools_delete/4"},{"type":"function","title":"Parameters - GoogleApi.StorageTransfer.V1.Api.Projects.storagetransfer_projects_agent_pools_delete/4","doc":"*   `connection` (*type:* `GoogleApi.StorageTransfer.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the agent pool to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.StorageTransfer.V1.Api.Projects.html#storagetransfer_projects_agent_pools_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.StorageTransfer.V1.Api.Projects.storagetransfer_projects_agent_pools_delete/4","doc":"*   `{:ok, %GoogleApi.StorageTransfer.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.StorageTransfer.V1.Api.Projects.html#storagetransfer_projects_agent_pools_delete/4-returns"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Api.Projects.storagetransfer_projects_agent_pools_get/4","doc":"Gets an agent pool.","ref":"GoogleApi.StorageTransfer.V1.Api.Projects.html#storagetransfer_projects_agent_pools_get/4"},{"type":"function","title":"Parameters - GoogleApi.StorageTransfer.V1.Api.Projects.storagetransfer_projects_agent_pools_get/4","doc":"*   `connection` (*type:* `GoogleApi.StorageTransfer.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the agent pool to get.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.StorageTransfer.V1.Api.Projects.html#storagetransfer_projects_agent_pools_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.StorageTransfer.V1.Api.Projects.storagetransfer_projects_agent_pools_get/4","doc":"*   `{:ok, %GoogleApi.StorageTransfer.V1.Model.AgentPool{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.StorageTransfer.V1.Api.Projects.html#storagetransfer_projects_agent_pools_get/4-returns"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Api.Projects.storagetransfer_projects_agent_pools_list/4","doc":"Lists agent pools.","ref":"GoogleApi.StorageTransfer.V1.Api.Projects.html#storagetransfer_projects_agent_pools_list/4"},{"type":"function","title":"Parameters - GoogleApi.StorageTransfer.V1.Api.Projects.storagetransfer_projects_agent_pools_list/4","doc":"*   `connection` (*type:* `GoogleApi.StorageTransfer.V1.Connection.t`) - Connection to server\n*   `project_id` (*type:* `String.t`) - Required. The ID of the Google Cloud project that owns the job.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - An optional list of query parameters specified as JSON text in the form of: `{\"agentPoolNames\":[\"agentpool1\",\"agentpool2\",...]}` Since `agentPoolNames` support multiple values, its values must be specified with array notation. When the filter is either empty or not provided, the list returns all agent pools for the project.\n    *   `:pageSize` (*type:* `integer()`) - The list page size. The max allowed value is `256`.\n    *   `:pageToken` (*type:* `String.t`) - The list page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.StorageTransfer.V1.Api.Projects.html#storagetransfer_projects_agent_pools_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.StorageTransfer.V1.Api.Projects.storagetransfer_projects_agent_pools_list/4","doc":"*   `{:ok, %GoogleApi.StorageTransfer.V1.Model.ListAgentPoolsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.StorageTransfer.V1.Api.Projects.html#storagetransfer_projects_agent_pools_list/4-returns"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Api.Projects.storagetransfer_projects_agent_pools_patch/4","doc":"Updates an existing agent pool resource.","ref":"GoogleApi.StorageTransfer.V1.Api.Projects.html#storagetransfer_projects_agent_pools_patch/4"},{"type":"function","title":"Parameters - GoogleApi.StorageTransfer.V1.Api.Projects.storagetransfer_projects_agent_pools_patch/4","doc":"*   `connection` (*type:* `GoogleApi.StorageTransfer.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Specifies a unique string that identifies the agent pool. Format: `projects/{project_id}/agentPools/{agent_pool_id}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - The [field mask] (https://developers.google.com/protocol-buffers/docs/reference/google.protobuf) of the fields in `agentPool` to update in this request. The following `agentPool` fields can be updated: * display_name * bandwidth_limit\n    *   `:body` (*type:* `GoogleApi.StorageTransfer.V1.Model.AgentPool.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.StorageTransfer.V1.Api.Projects.html#storagetransfer_projects_agent_pools_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.StorageTransfer.V1.Api.Projects.storagetransfer_projects_agent_pools_patch/4","doc":"*   `{:ok, %GoogleApi.StorageTransfer.V1.Model.AgentPool{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.StorageTransfer.V1.Api.Projects.html#storagetransfer_projects_agent_pools_patch/4-returns"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Api.TransferJobs","doc":"API calls for all endpoints tagged `TransferJobs`.","ref":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.html"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.storagetransfer_transfer_jobs_create/3","doc":"Creates a transfer job that runs periodically.","ref":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.html#storagetransfer_transfer_jobs_create/3"},{"type":"function","title":"Parameters - GoogleApi.StorageTransfer.V1.Api.TransferJobs.storagetransfer_transfer_jobs_create/3","doc":"*   `connection` (*type:* `GoogleApi.StorageTransfer.V1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.StorageTransfer.V1.Model.TransferJob.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.html#storagetransfer_transfer_jobs_create/3-parameters"},{"type":"function","title":"Returns - GoogleApi.StorageTransfer.V1.Api.TransferJobs.storagetransfer_transfer_jobs_create/3","doc":"*   `{:ok, %GoogleApi.StorageTransfer.V1.Model.TransferJob{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.html#storagetransfer_transfer_jobs_create/3-returns"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.storagetransfer_transfer_jobs_delete/5","doc":"Deletes a transfer job. Deleting a transfer job sets its status to DELETED.","ref":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.html#storagetransfer_transfer_jobs_delete/5"},{"type":"function","title":"Parameters - GoogleApi.StorageTransfer.V1.Api.TransferJobs.storagetransfer_transfer_jobs_delete/5","doc":"*   `connection` (*type:* `GoogleApi.StorageTransfer.V1.Connection.t`) - Connection to server\n*   `job_name` (*type:* `String.t`) - Required. The job to delete.\n*   `project_id` (*type:* `String.t`) - Required. The ID of the Google Cloud project that owns the job.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.html#storagetransfer_transfer_jobs_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.StorageTransfer.V1.Api.TransferJobs.storagetransfer_transfer_jobs_delete/5","doc":"*   `{:ok, %GoogleApi.StorageTransfer.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.html#storagetransfer_transfer_jobs_delete/5-returns"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.storagetransfer_transfer_jobs_get/5","doc":"Gets a transfer job.","ref":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.html#storagetransfer_transfer_jobs_get/5"},{"type":"function","title":"Parameters - GoogleApi.StorageTransfer.V1.Api.TransferJobs.storagetransfer_transfer_jobs_get/5","doc":"*   `connection` (*type:* `GoogleApi.StorageTransfer.V1.Connection.t`) - Connection to server\n*   `job_name` (*type:* `String.t`) - Required. The job to get.\n*   `project_id` (*type:* `String.t`) - Required. The ID of the Google Cloud project that owns the job.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.html#storagetransfer_transfer_jobs_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.StorageTransfer.V1.Api.TransferJobs.storagetransfer_transfer_jobs_get/5","doc":"*   `{:ok, %GoogleApi.StorageTransfer.V1.Model.TransferJob{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.html#storagetransfer_transfer_jobs_get/5-returns"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.storagetransfer_transfer_jobs_list/4","doc":"Lists transfer jobs.","ref":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.html#storagetransfer_transfer_jobs_list/4"},{"type":"function","title":"Parameters - GoogleApi.StorageTransfer.V1.Api.TransferJobs.storagetransfer_transfer_jobs_list/4","doc":"*   `connection` (*type:* `GoogleApi.StorageTransfer.V1.Connection.t`) - Connection to server\n*   `filter` (*type:* `String.t`) - Required. A list of query parameters specified as JSON text in the form of: `{\"projectId\":\"my_project_id\", \"jobNames\":[\"jobid1\",\"jobid2\",...], \"jobStatuses\":[\"status1\",\"status2\",...]}` Since `jobNames` and `jobStatuses` support multiple values, their values must be specified with array notation. `projectId` is required. `jobNames` and `jobStatuses` are optional. The valid values for `jobStatuses` are case-insensitive: ENABLED, DISABLED, and DELETED.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The list page size. The max allowed value is 256.\n    *   `:pageToken` (*type:* `String.t`) - The list page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.html#storagetransfer_transfer_jobs_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.StorageTransfer.V1.Api.TransferJobs.storagetransfer_transfer_jobs_list/4","doc":"*   `{:ok, %GoogleApi.StorageTransfer.V1.Model.ListTransferJobsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.html#storagetransfer_transfer_jobs_list/4-returns"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.storagetransfer_transfer_jobs_patch/4","doc":"Updates a transfer job. Updating a job's transfer spec does not affect transfer operations that are running already. **Note:** The job's status field can be modified using this RPC (for example, to set a job's status to DELETED, DISABLED, or ENABLED).","ref":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.html#storagetransfer_transfer_jobs_patch/4"},{"type":"function","title":"Parameters - GoogleApi.StorageTransfer.V1.Api.TransferJobs.storagetransfer_transfer_jobs_patch/4","doc":"*   `connection` (*type:* `GoogleApi.StorageTransfer.V1.Connection.t`) - Connection to server\n*   `job_name` (*type:* `String.t`) - Required. The name of job to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.StorageTransfer.V1.Model.UpdateTransferJobRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.html#storagetransfer_transfer_jobs_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.StorageTransfer.V1.Api.TransferJobs.storagetransfer_transfer_jobs_patch/4","doc":"*   `{:ok, %GoogleApi.StorageTransfer.V1.Model.TransferJob{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.html#storagetransfer_transfer_jobs_patch/4-returns"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.storagetransfer_transfer_jobs_run/4","doc":"Starts a new operation for the specified transfer job. A `TransferJob` has a maximum of one active `TransferOperation`. If this method is called while a `TransferOperation` is active, an error is returned.","ref":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.html#storagetransfer_transfer_jobs_run/4"},{"type":"function","title":"Parameters - GoogleApi.StorageTransfer.V1.Api.TransferJobs.storagetransfer_transfer_jobs_run/4","doc":"*   `connection` (*type:* `GoogleApi.StorageTransfer.V1.Connection.t`) - Connection to server\n*   `job_name` (*type:* `String.t`) - Required. The name of the transfer job.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.StorageTransfer.V1.Model.RunTransferJobRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.html#storagetransfer_transfer_jobs_run/4-parameters"},{"type":"function","title":"Returns - GoogleApi.StorageTransfer.V1.Api.TransferJobs.storagetransfer_transfer_jobs_run/4","doc":"*   `{:ok, %GoogleApi.StorageTransfer.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.StorageTransfer.V1.Api.TransferJobs.html#storagetransfer_transfer_jobs_run/4-returns"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Api.TransferOperations","doc":"API calls for all endpoints tagged `TransferOperations`.","ref":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.html"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.storagetransfer_transfer_operations_cancel/4","doc":"Cancels a transfer. Use the transferOperations.get method to check if the cancellation succeeded or if the operation completed despite the `cancel` request. When you cancel an operation, the currently running transfer is interrupted. For recurring transfer jobs, the next instance of the transfer job will still run. For example, if your job is configured to run every day at 1pm and you cancel Monday's operation at 1:05pm, Monday's transfer will stop. However, a transfer job will still be attempted on Tuesday. This applies only to currently running operations. If an operation is not currently running, `cancel` does nothing. *Caution:* Canceling a transfer job can leave your data in an unknown state. We recommend that you restore the state at both the destination and the source after the `cancel` request completes so that your data is in a consistent state. When you cancel a job, the next job computes a delta of files and may repair any inconsistent state. For instance, if you run a job every day, and today's job found 10 new files and transferred five files before you canceled the job, tomorrow's transfer operation will compute a new delta with the five files that were not copied today plus any new files discovered tomorrow.","ref":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.html#storagetransfer_transfer_operations_cancel/4"},{"type":"function","title":"Parameters - GoogleApi.StorageTransfer.V1.Api.TransferOperations.storagetransfer_transfer_operations_cancel/4","doc":"*   `connection` (*type:* `GoogleApi.StorageTransfer.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource to be cancelled.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.StorageTransfer.V1.Model.CancelOperationRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.html#storagetransfer_transfer_operations_cancel/4-parameters"},{"type":"function","title":"Returns - GoogleApi.StorageTransfer.V1.Api.TransferOperations.storagetransfer_transfer_operations_cancel/4","doc":"*   `{:ok, %GoogleApi.StorageTransfer.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.html#storagetransfer_transfer_operations_cancel/4-returns"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.storagetransfer_transfer_operations_get/4","doc":"Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.","ref":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.html#storagetransfer_transfer_operations_get/4"},{"type":"function","title":"Parameters - GoogleApi.StorageTransfer.V1.Api.TransferOperations.storagetransfer_transfer_operations_get/4","doc":"*   `connection` (*type:* `GoogleApi.StorageTransfer.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.html#storagetransfer_transfer_operations_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.StorageTransfer.V1.Api.TransferOperations.storagetransfer_transfer_operations_get/4","doc":"*   `{:ok, %GoogleApi.StorageTransfer.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.html#storagetransfer_transfer_operations_get/4-returns"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.storagetransfer_transfer_operations_list/5","doc":"Lists transfer operations. Operations are ordered by their creation time in reverse chronological order.","ref":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.html#storagetransfer_transfer_operations_list/5"},{"type":"function","title":"Parameters - GoogleApi.StorageTransfer.V1.Api.TransferOperations.storagetransfer_transfer_operations_list/5","doc":"*   `connection` (*type:* `GoogleApi.StorageTransfer.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the type being listed; must be `transferOperations`.\n*   `filter` (*type:* `String.t`) - Required. A list of query parameters specified as JSON text in the form of: `{\"projectId\":\"my_project_id\", \"jobNames\":[\"jobid1\",\"jobid2\",...], \"jobNamePattern\": \"job_name_pattern\", \"operationNames\":[\"opid1\",\"opid2\",...], \"operationNamePattern\": \"operation_name_pattern\", \"minCreationTime\": \"min_creation_time\", \"maxCreationTime\": \"max_creation_time\", \"transferStatuses\":[\"status1\",\"status2\",...]}` Since `jobNames`, `operationNames`, and `transferStatuses` support multiple values, they must be specified with array notation. `projectId` is the only argument that is required. If specified, `jobNamePattern` and `operationNamePattern` must match the full job or operation name respectively. '*' is a wildcard matching 0 or more characters. `minCreationTime` and `maxCreationTime` should be timestamps encoded as a string in the [RFC 3339](https://www.ietf.org/rfc/rfc3339.txt) format. The valid values for `transferStatuses` are case-insensitive: IN_PROGRESS, PAUSED, SUCCESS, FAILED, and ABORTED.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The list page size. The max allowed value is 256.\n    *   `:pageToken` (*type:* `String.t`) - The list page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.html#storagetransfer_transfer_operations_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.StorageTransfer.V1.Api.TransferOperations.storagetransfer_transfer_operations_list/5","doc":"*   `{:ok, %GoogleApi.StorageTransfer.V1.Model.ListOperationsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.html#storagetransfer_transfer_operations_list/5-returns"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.storagetransfer_transfer_operations_pause/4","doc":"Pauses a transfer operation.","ref":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.html#storagetransfer_transfer_operations_pause/4"},{"type":"function","title":"Parameters - GoogleApi.StorageTransfer.V1.Api.TransferOperations.storagetransfer_transfer_operations_pause/4","doc":"*   `connection` (*type:* `GoogleApi.StorageTransfer.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the transfer operation.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.StorageTransfer.V1.Model.PauseTransferOperationRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.html#storagetransfer_transfer_operations_pause/4-parameters"},{"type":"function","title":"Returns - GoogleApi.StorageTransfer.V1.Api.TransferOperations.storagetransfer_transfer_operations_pause/4","doc":"*   `{:ok, %GoogleApi.StorageTransfer.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.html#storagetransfer_transfer_operations_pause/4-returns"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.storagetransfer_transfer_operations_resume/4","doc":"Resumes a transfer operation that is paused.","ref":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.html#storagetransfer_transfer_operations_resume/4"},{"type":"function","title":"Parameters - GoogleApi.StorageTransfer.V1.Api.TransferOperations.storagetransfer_transfer_operations_resume/4","doc":"*   `connection` (*type:* `GoogleApi.StorageTransfer.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the transfer operation.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.StorageTransfer.V1.Model.ResumeTransferOperationRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.html#storagetransfer_transfer_operations_resume/4-parameters"},{"type":"function","title":"Returns - GoogleApi.StorageTransfer.V1.Api.TransferOperations.storagetransfer_transfer_operations_resume/4","doc":"*   `{:ok, %GoogleApi.StorageTransfer.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.StorageTransfer.V1.Api.TransferOperations.html#storagetransfer_transfer_operations_resume/4-returns"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Connection","doc":"Handle Tesla connections for GoogleApi.StorageTransfer.V1.","ref":"GoogleApi.StorageTransfer.V1.Connection.html"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.StorageTransfer.V1.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.StorageTransfer.V1.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.StorageTransfer.V1.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.StorageTransfer.V1.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.StorageTransfer.V1.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.StorageTransfer.V1.Connection.html#get/3"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.StorageTransfer.V1.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.StorageTransfer.V1.Connection.html#head/3"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.StorageTransfer.V1.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.StorageTransfer.V1.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.StorageTransfer.V1.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.StorageTransfer.V1.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.StorageTransfer.V1.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.StorageTransfer.V1.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.StorageTransfer.V1.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.StorageTransfer.V1.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.StorageTransfer.V1.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.StorageTransfer.V1.Connection.html#options/3"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.StorageTransfer.V1.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.StorageTransfer.V1.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.StorageTransfer.V1.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.StorageTransfer.V1.Connection.html#post/4"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.StorageTransfer.V1.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.StorageTransfer.V1.Connection.html#put/4"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.StorageTransfer.V1.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.StorageTransfer.V1.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.StorageTransfer.V1.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.StorageTransfer.V1.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.StorageTransfer.V1.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.StorageTransfer.V1.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.StorageTransfer.V1.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.StorageTransfer.V1.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.StorageTransfer.V1.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.StorageTransfer.V1.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Connection.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.AgentPool","doc":"Represents an agent pool.","ref":"GoogleApi.StorageTransfer.V1.Model.AgentPool.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.AgentPool","doc":"*   `bandwidthLimit` (*type:* `GoogleApi.StorageTransfer.V1.Model.BandwidthLimit.t`, *default:* `nil`) - Specifies the bandwidth limit details. If this field is unspecified, the default value is set as 'No Limit'.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Specifies the client-specified AgentPool description.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. Specifies a unique string that identifies the agent pool. Format: `projects/{project_id}/agentPools/{agent_pool_id}`\n*   `state` (*type:* `String.t`, *default:* `nil`) - Output only. Specifies the state of the AgentPool.","ref":"GoogleApi.StorageTransfer.V1.Model.AgentPool.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.AgentPool.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.AgentPool.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.AgentPool.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.AgentPool.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.AwsAccessKey","doc":"AWS access key (see [AWS Security Credentials](https://docs.aws.amazon.com/general/latest/gr/aws-security-credentials.html)). For information on our data retention policy for user credentials, see [User credentials](/storage-transfer/docs/data-retention#user-credentials).","ref":"GoogleApi.StorageTransfer.V1.Model.AwsAccessKey.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.AwsAccessKey","doc":"*   `accessKeyId` (*type:* `String.t`, *default:* `nil`) - Required. AWS access key ID.\n*   `secretAccessKey` (*type:* `String.t`, *default:* `nil`) - Required. AWS secret access key. This field is not returned in RPC responses.","ref":"GoogleApi.StorageTransfer.V1.Model.AwsAccessKey.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.AwsAccessKey.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.AwsAccessKey.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.AwsAccessKey.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.AwsAccessKey.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.AwsS3CompatibleData","doc":"An AwsS3CompatibleData resource.","ref":"GoogleApi.StorageTransfer.V1.Model.AwsS3CompatibleData.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.AwsS3CompatibleData","doc":"*   `bucketName` (*type:* `String.t`, *default:* `nil`) - Required. Specifies the name of the bucket.\n*   `endpoint` (*type:* `String.t`, *default:* `nil`) - Required. Specifies the endpoint of the storage service.\n*   `path` (*type:* `String.t`, *default:* `nil`) - Specifies the root path to transfer objects. Must be an empty string or full path name that ends with a '/'. This field is treated as an object prefix. As such, it should generally not begin with a '/'.\n*   `region` (*type:* `String.t`, *default:* `nil`) - Specifies the region to sign requests with. This can be left blank if requests should be signed with an empty region.\n*   `s3Metadata` (*type:* `GoogleApi.StorageTransfer.V1.Model.S3CompatibleMetadata.t`, *default:* `nil`) - A S3 compatible metadata.","ref":"GoogleApi.StorageTransfer.V1.Model.AwsS3CompatibleData.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.AwsS3CompatibleData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.AwsS3CompatibleData.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.AwsS3CompatibleData.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.AwsS3CompatibleData.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.AwsS3Data","doc":"An AwsS3Data resource can be a data source, but not a data sink. In an AwsS3Data resource, an object's name is the S3 object's key name.","ref":"GoogleApi.StorageTransfer.V1.Model.AwsS3Data.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.AwsS3Data","doc":"*   `awsAccessKey` (*type:* `GoogleApi.StorageTransfer.V1.Model.AwsAccessKey.t`, *default:* `nil`) - Input only. AWS access key used to sign the API requests to the AWS S3 bucket. Permissions on the bucket must be granted to the access ID of the AWS access key. For information on our data retention policy for user credentials, see [User credentials](/storage-transfer/docs/data-retention#user-credentials).\n*   `bucketName` (*type:* `String.t`, *default:* `nil`) - Required. S3 Bucket name (see [Creating a bucket](https://docs.aws.amazon.com/AmazonS3/latest/dev/create-bucket-get-location-example.html)).\n*   `cloudfrontDomain` (*type:* `String.t`, *default:* `nil`) - Optional. The CloudFront distribution domain name pointing to this bucket, to use when fetching. See [Transfer from S3 via CloudFront](https://cloud.google.com/storage-transfer/docs/s3-cloudfront) for more information. Format: `https://{id}.cloudfront.net` or any valid custom domain. Must begin with `https://`.\n*   `credentialsSecret` (*type:* `String.t`, *default:* `nil`) - Optional. The Resource name of a secret in Secret Manager. AWS credentials must be stored in Secret Manager in JSON format: { \"access_key_id\": \"ACCESS_KEY_ID\", \"secret_access_key\": \"SECRET_ACCESS_KEY\" } GoogleServiceAccount must be granted `roles/secretmanager.secretAccessor` for the resource. See [Configure access to a source: Amazon S3] (https://cloud.google.com/storage-transfer/docs/source-amazon-s3#secret_manager) for more information. If `credentials_secret` is specified, do not specify role_arn or aws_access_key. Format: `projects/{project_number}/secrets/{secret_name}`\n*   `managedPrivateNetwork` (*type:* `boolean()`, *default:* `nil`) - Egress bytes over a Google-managed private network. This network is shared between other users of Storage Transfer Service.\n*   `path` (*type:* `String.t`, *default:* `nil`) - Root path to transfer objects. Must be an empty string or full path name that ends with a '/'. This field is treated as an object prefix. As such, it should generally not begin with a '/'.\n*   `roleArn` (*type:* `String.t`, *default:* `nil`) - The Amazon Resource Name (ARN) of the role to support temporary credentials via `AssumeRoleWithWebIdentity`. For more information about ARNs, see [IAM ARNs](https://docs.aws.amazon.com/IAM/latest/UserGuide/reference_identifiers.html#identifiers-arns). When a role ARN is provided, Transfer Service fetches temporary credentials for the session using a `AssumeRoleWithWebIdentity` call for the provided role using the GoogleServiceAccount for this project.","ref":"GoogleApi.StorageTransfer.V1.Model.AwsS3Data.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.AwsS3Data.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.AwsS3Data.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.AwsS3Data.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.AwsS3Data.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.AzureBlobStorageData","doc":"An AzureBlobStorageData resource can be a data source, but not a data sink. An AzureBlobStorageData resource represents one Azure container. The storage account determines the [Azure endpoint](https://docs.microsoft.com/en-us/azure/storage/common/storage-create-storage-account#storage-account-endpoints). In an AzureBlobStorageData resource, a blobs's name is the [Azure Blob Storage blob's key name](https://docs.microsoft.com/en-us/rest/api/storageservices/naming-and-referencing-containers--blobs--and-metadata#blob-names).","ref":"GoogleApi.StorageTransfer.V1.Model.AzureBlobStorageData.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.AzureBlobStorageData","doc":"*   `azureCredentials` (*type:* `GoogleApi.StorageTransfer.V1.Model.AzureCredentials.t`, *default:* `nil`) - Required. Input only. Credentials used to authenticate API requests to Azure. For information on our data retention policy for user credentials, see [User credentials](/storage-transfer/docs/data-retention#user-credentials).\n*   `container` (*type:* `String.t`, *default:* `nil`) - Required. The container to transfer from the Azure Storage account.\n*   `credentialsSecret` (*type:* `String.t`, *default:* `nil`) - Optional. The Resource name of a secret in Secret Manager. The Azure SAS token must be stored in Secret Manager in JSON format: { \"sas_token\" : \"SAS_TOKEN\" } GoogleServiceAccount must be granted `roles/secretmanager.secretAccessor` for the resource. See [Configure access to a source: Microsoft Azure Blob Storage] (https://cloud.google.com/storage-transfer/docs/source-microsoft-azure#secret_manager) for more information. If `credentials_secret` is specified, do not specify azure_credentials. Format: `projects/{project_number}/secrets/{secret_name}`\n*   `path` (*type:* `String.t`, *default:* `nil`) - Root path to transfer objects. Must be an empty string or full path name that ends with a '/'. This field is treated as an object prefix. As such, it should generally not begin with a '/'.\n*   `storageAccount` (*type:* `String.t`, *default:* `nil`) - Required. The name of the Azure Storage account.","ref":"GoogleApi.StorageTransfer.V1.Model.AzureBlobStorageData.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.AzureBlobStorageData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.AzureBlobStorageData.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.AzureBlobStorageData.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.AzureBlobStorageData.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.AzureCredentials","doc":"Azure credentials For information on our data retention policy for user credentials, see [User credentials](/storage-transfer/docs/data-retention#user-credentials).","ref":"GoogleApi.StorageTransfer.V1.Model.AzureCredentials.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.AzureCredentials","doc":"*   `sasToken` (*type:* `String.t`, *default:* `nil`) - Required. Azure shared access signature (SAS). For more information about SAS, see [Grant limited access to Azure Storage resources using shared access signatures (SAS)](https://docs.microsoft.com/en-us/azure/storage/common/storage-sas-overview).","ref":"GoogleApi.StorageTransfer.V1.Model.AzureCredentials.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.AzureCredentials.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.AzureCredentials.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.AzureCredentials.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.AzureCredentials.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.BandwidthLimit","doc":"Specifies a bandwidth limit for an agent pool.","ref":"GoogleApi.StorageTransfer.V1.Model.BandwidthLimit.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.BandwidthLimit","doc":"*   `limitMbps` (*type:* `String.t`, *default:* `nil`) - Bandwidth rate in megabytes per second, distributed across all the agents in the pool.","ref":"GoogleApi.StorageTransfer.V1.Model.BandwidthLimit.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.BandwidthLimit.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.BandwidthLimit.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.BandwidthLimit.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.BandwidthLimit.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.CancelOperationRequest","doc":"The request message for Operations.CancelOperation.","ref":"GoogleApi.StorageTransfer.V1.Model.CancelOperationRequest.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.CancelOperationRequest","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.CancelOperationRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.CancelOperationRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.CancelOperationRequest.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.CancelOperationRequest.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.CancelOperationRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.Date","doc":"Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following: * A full date, with non-zero year, month, and day values. * A month and day, with a zero year (for example, an anniversary). * A year on its own, with a zero month and a zero day. * A year and month, with a zero day (for example, a credit card expiration date). Related types: * google.type.TimeOfDay * google.type.DateTime * google.protobuf.Timestamp","ref":"GoogleApi.StorageTransfer.V1.Model.Date.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.Date","doc":"*   `day` (*type:* `integer()`, *default:* `nil`) - Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.\n*   `month` (*type:* `integer()`, *default:* `nil`) - Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.\n*   `year` (*type:* `integer()`, *default:* `nil`) - Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.","ref":"GoogleApi.StorageTransfer.V1.Model.Date.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.Date.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.Date.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.Date.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.Date.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.Empty","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }","ref":"GoogleApi.StorageTransfer.V1.Model.Empty.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.Empty","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.Empty.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.Empty.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.Empty.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.Empty.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.Empty.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.ErrorLogEntry","doc":"An entry describing an error that has occurred.","ref":"GoogleApi.StorageTransfer.V1.Model.ErrorLogEntry.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.ErrorLogEntry","doc":"*   `errorDetails` (*type:* `list(String.t)`, *default:* `nil`) - A list of messages that carry the error details.\n*   `url` (*type:* `String.t`, *default:* `nil`) - Required. A URL that refers to the target (a data source, a data sink, or an object) with which the error is associated.","ref":"GoogleApi.StorageTransfer.V1.Model.ErrorLogEntry.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.ErrorLogEntry.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.ErrorLogEntry.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.ErrorLogEntry.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.ErrorLogEntry.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.ErrorSummary","doc":"A summary of errors by error code, plus a count and sample error log entries.","ref":"GoogleApi.StorageTransfer.V1.Model.ErrorSummary.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.ErrorSummary","doc":"*   `errorCode` (*type:* `String.t`, *default:* `nil`) - Required.\n*   `errorCount` (*type:* `String.t`, *default:* `nil`) - Required. Count of this type of error.\n*   `errorLogEntries` (*type:* `list(GoogleApi.StorageTransfer.V1.Model.ErrorLogEntry.t)`, *default:* `nil`) - Error samples. At most 5 error log entries are recorded for a given error code for a single transfer operation.","ref":"GoogleApi.StorageTransfer.V1.Model.ErrorSummary.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.ErrorSummary.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.ErrorSummary.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.ErrorSummary.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.ErrorSummary.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.EventStream","doc":"Specifies the Event-driven transfer options. Event-driven transfers listen to an event stream to transfer updated files.","ref":"GoogleApi.StorageTransfer.V1.Model.EventStream.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.EventStream","doc":"*   `eventStreamExpirationTime` (*type:* `DateTime.t`, *default:* `nil`) - Specifies the data and time at which Storage Transfer Service stops listening for events from this stream. After this time, any transfers in progress will complete, but no new transfers are initiated.\n*   `eventStreamStartTime` (*type:* `DateTime.t`, *default:* `nil`) - Specifies the date and time that Storage Transfer Service starts listening for events from this stream. If no start time is specified or start time is in the past, Storage Transfer Service starts listening immediately.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. Specifies a unique name of the resource such as AWS SQS ARN in the form 'arn:aws:sqs:region:account_id:queue_name', or Pub/Sub subscription resource name in the form 'projects/{project}/subscriptions/{sub}'.","ref":"GoogleApi.StorageTransfer.V1.Model.EventStream.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.EventStream.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.EventStream.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.EventStream.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.EventStream.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.GcsData","doc":"In a GcsData resource, an object's name is the Cloud Storage object's name and its \"last modification time\" refers to the object's `updated` property of Cloud Storage objects, which changes when the content or the metadata of the object is updated.","ref":"GoogleApi.StorageTransfer.V1.Model.GcsData.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.GcsData","doc":"*   `bucketName` (*type:* `String.t`, *default:* `nil`) - Required. Cloud Storage bucket name. Must meet [Bucket Name Requirements](/storage/docs/naming#requirements).\n*   `managedFolderTransferEnabled` (*type:* `boolean()`, *default:* `nil`) - Preview. Enables the transfer of managed folders between Cloud Storage buckets. Set this option on the gcs_data_source. If set to true: - Managed folders in the source bucket are transferred to the destination bucket. - Managed folders in the destination bucket are overwritten. Other OVERWRITE options are not supported. See [Transfer Cloud Storage managed folders](/storage-transfer/docs/managed-folders).\n*   `path` (*type:* `String.t`, *default:* `nil`) - Root path to transfer objects. Must be an empty string or full path name that ends with a '/'. This field is treated as an object prefix. As such, it should generally not begin with a '/'. The root path value must meet [Object Name Requirements](/storage/docs/naming#objectnames).","ref":"GoogleApi.StorageTransfer.V1.Model.GcsData.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.GcsData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.GcsData.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.GcsData.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.GcsData.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.GoogleServiceAccount","doc":"Google service account","ref":"GoogleApi.StorageTransfer.V1.Model.GoogleServiceAccount.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.GoogleServiceAccount","doc":"*   `accountEmail` (*type:* `String.t`, *default:* `nil`) - Email address of the service account.\n*   `subjectId` (*type:* `String.t`, *default:* `nil`) - Unique identifier for the service account.","ref":"GoogleApi.StorageTransfer.V1.Model.GoogleServiceAccount.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.GoogleServiceAccount.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.GoogleServiceAccount.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.GoogleServiceAccount.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.GoogleServiceAccount.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.HdfsData","doc":"An HdfsData resource specifies a path within an HDFS entity (e.g. a cluster). All cluster-specific settings, such as namenodes and ports, are configured on the transfer agents servicing requests, so HdfsData only contains the root path to the data in our transfer.","ref":"GoogleApi.StorageTransfer.V1.Model.HdfsData.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.HdfsData","doc":"*   `path` (*type:* `String.t`, *default:* `nil`) - Root path to transfer files.","ref":"GoogleApi.StorageTransfer.V1.Model.HdfsData.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.HdfsData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.HdfsData.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.HdfsData.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.HdfsData.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.HttpData","doc":"An HttpData resource specifies a list of objects on the web to be transferred over HTTP. The information of the objects to be transferred is contained in a file referenced by a URL. The first line in the file must be `\"TsvHttpData-1.0\"`, which specifies the format of the file. Subsequent lines specify the information of the list of objects, one object per list entry. Each entry has the following tab-delimited fields: * **HTTP URL** — The location of the object. * **Length** — The size of the object in bytes. * **MD5** — The base64-encoded MD5 hash of the object. For an example of a valid TSV file, see [Transferring data from URLs](https://cloud.google.com/storage-transfer/docs/create-url-list). When transferring data based on a URL list, keep the following in mind: * When an object located at `http(s)://hostname:port/` is transferred to a data sink, the name of the object at the data sink is `/`. * If the specified size of an object does not match the actual size of the object fetched, the object is not transferred. * If the specified MD5 does not match the MD5 computed from the transferred bytes, the object transfer fails. * Ensure that each URL you specify is publicly accessible. For example, in Cloud Storage you can [share an object publicly] (/storage/docs/cloud-console#_sharingdata) and get a link to it. * Storage Transfer Service obeys `robots.txt` rules and requires the source HTTP server to support `Range` requests and to return a `Content-Length` header in each response. * ObjectConditions have no effect when filtering objects to transfer.","ref":"GoogleApi.StorageTransfer.V1.Model.HttpData.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.HttpData","doc":"*   `listUrl` (*type:* `String.t`, *default:* `nil`) - Required. The URL that points to the file that stores the object list entries. This file must allow public access. Currently, only URLs with HTTP and HTTPS schemes are supported.","ref":"GoogleApi.StorageTransfer.V1.Model.HttpData.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.HttpData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.HttpData.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.HttpData.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.HttpData.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.ListAgentPoolsResponse","doc":"Response from ListAgentPools.","ref":"GoogleApi.StorageTransfer.V1.Model.ListAgentPoolsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.ListAgentPoolsResponse","doc":"*   `agentPools` (*type:* `list(GoogleApi.StorageTransfer.V1.Model.AgentPool.t)`, *default:* `nil`) - A list of agent pools.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The list next page token.","ref":"GoogleApi.StorageTransfer.V1.Model.ListAgentPoolsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.ListAgentPoolsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.ListAgentPoolsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.ListAgentPoolsResponse.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.ListAgentPoolsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.ListOperationsResponse","doc":"The response message for Operations.ListOperations.","ref":"GoogleApi.StorageTransfer.V1.Model.ListOperationsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.ListOperationsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The standard List next-page token.\n*   `operations` (*type:* `list(GoogleApi.StorageTransfer.V1.Model.Operation.t)`, *default:* `nil`) - A list of operations that matches the specified filter in the request.","ref":"GoogleApi.StorageTransfer.V1.Model.ListOperationsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.ListOperationsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.ListOperationsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.ListOperationsResponse.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.ListOperationsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.ListTransferJobsResponse","doc":"Response from ListTransferJobs.","ref":"GoogleApi.StorageTransfer.V1.Model.ListTransferJobsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.ListTransferJobsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The list next page token.\n*   `transferJobs` (*type:* `list(GoogleApi.StorageTransfer.V1.Model.TransferJob.t)`, *default:* `nil`) - A list of transfer jobs.","ref":"GoogleApi.StorageTransfer.V1.Model.ListTransferJobsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.ListTransferJobsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.ListTransferJobsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.ListTransferJobsResponse.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.ListTransferJobsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.LoggingConfig","doc":"Specifies the logging behavior for transfer operations. Logs can be sent to Cloud Logging for all transfer types. See [Read transfer logs](https://cloud.google.com/storage-transfer/docs/read-transfer-logs) for details.","ref":"GoogleApi.StorageTransfer.V1.Model.LoggingConfig.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.LoggingConfig","doc":"*   `enableOnpremGcsTransferLogs` (*type:* `boolean()`, *default:* `nil`) - For PosixFilesystem transfers, enables [file system transfer logs](https://cloud.google.com/storage-transfer/docs/on-prem-transfer-log-format) instead of, or in addition to, Cloud Logging. This option ignores [LoggableAction] and [LoggableActionState]. If these are set, Cloud Logging will also be enabled for this transfer.\n*   `logActionStates` (*type:* `list(String.t)`, *default:* `nil`) - States in which `log_actions` are logged. If empty, no logs are generated.\n*   `logActions` (*type:* `list(String.t)`, *default:* `nil`) - Specifies the actions to be logged. If empty, no logs are generated.","ref":"GoogleApi.StorageTransfer.V1.Model.LoggingConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.LoggingConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.LoggingConfig.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.LoggingConfig.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.LoggingConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.MetadataOptions","doc":"Specifies the metadata options for running a transfer.","ref":"GoogleApi.StorageTransfer.V1.Model.MetadataOptions.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.MetadataOptions","doc":"*   `acl` (*type:* `String.t`, *default:* `nil`) - Specifies how each object's ACLs should be preserved for transfers between Google Cloud Storage buckets. If unspecified, the default behavior is the same as ACL_DESTINATION_BUCKET_DEFAULT.\n*   `gid` (*type:* `String.t`, *default:* `nil`) - Specifies how each file's POSIX group ID (GID) attribute should be handled by the transfer. By default, GID is not preserved. Only applicable to transfers involving POSIX file systems, and ignored for other transfers.\n*   `kmsKey` (*type:* `String.t`, *default:* `nil`) - Specifies how each object's Cloud KMS customer-managed encryption key (CMEK) is preserved for transfers between Google Cloud Storage buckets. If unspecified, the default behavior is the same as KMS_KEY_DESTINATION_BUCKET_DEFAULT.\n*   `mode` (*type:* `String.t`, *default:* `nil`) - Specifies how each file's mode attribute should be handled by the transfer. By default, mode is not preserved. Only applicable to transfers involving POSIX file systems, and ignored for other transfers.\n*   `storageClass` (*type:* `String.t`, *default:* `nil`) - Specifies the storage class to set on objects being transferred to Google Cloud Storage buckets. If unspecified, the default behavior is the same as STORAGE_CLASS_DESTINATION_BUCKET_DEFAULT.\n*   `symlink` (*type:* `String.t`, *default:* `nil`) - Specifies how symlinks should be handled by the transfer. By default, symlinks are not preserved. Only applicable to transfers involving POSIX file systems, and ignored for other transfers.\n*   `temporaryHold` (*type:* `String.t`, *default:* `nil`) - Specifies how each object's temporary hold status should be preserved for transfers between Google Cloud Storage buckets. If unspecified, the default behavior is the same as TEMPORARY_HOLD_PRESERVE.\n*   `timeCreated` (*type:* `String.t`, *default:* `nil`) - Specifies how each object's `timeCreated` metadata is preserved for transfers. If unspecified, the default behavior is the same as TIME_CREATED_SKIP. This behavior is supported for transfers to Cloud Storage buckets from Cloud Storage, Amazon S3, S3-compatible storage, and Azure sources.\n*   `uid` (*type:* `String.t`, *default:* `nil`) - Specifies how each file's POSIX user ID (UID) attribute should be handled by the transfer. By default, UID is not preserved. Only applicable to transfers involving POSIX file systems, and ignored for other transfers.","ref":"GoogleApi.StorageTransfer.V1.Model.MetadataOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.MetadataOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.MetadataOptions.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.MetadataOptions.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.MetadataOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.NotificationConfig","doc":"Specification to configure notifications published to Pub/Sub. Notifications are published to the customer-provided topic using the following `PubsubMessage.attributes`: * `\"eventType\"`: one of the EventType values * `\"payloadFormat\"`: one of the PayloadFormat values * `\"projectId\"`: the project_id of the `TransferOperation` * `\"transferJobName\"`: the transfer_job_name of the `TransferOperation` * `\"transferOperationName\"`: the name of the `TransferOperation` The `PubsubMessage.data` contains a TransferOperation resource formatted according to the specified `PayloadFormat`.","ref":"GoogleApi.StorageTransfer.V1.Model.NotificationConfig.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.NotificationConfig","doc":"*   `eventTypes` (*type:* `list(String.t)`, *default:* `nil`) - Event types for which a notification is desired. If empty, send notifications for all event types.\n*   `payloadFormat` (*type:* `String.t`, *default:* `nil`) - Required. The desired format of the notification message payloads.\n*   `pubsubTopic` (*type:* `String.t`, *default:* `nil`) - Required. The `Topic.name` of the Pub/Sub topic to which to publish notifications. Must be of the format: `projects/{project}/topics/{topic}`. Not matching this format results in an INVALID_ARGUMENT error.","ref":"GoogleApi.StorageTransfer.V1.Model.NotificationConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.NotificationConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.NotificationConfig.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.NotificationConfig.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.NotificationConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.ObjectConditions","doc":"Conditions that determine which objects are transferred. Applies only to Cloud Data Sources such as S3, Azure, and Cloud Storage. The \"last modification time\" refers to the time of the last change to the object's content or metadata — specifically, this is the `updated` property of Cloud Storage objects, the `LastModified` field of S3 objects, and the `Last-Modified` header of Azure blobs. Transfers with a PosixFilesystem source or destination don't support `ObjectConditions`.","ref":"GoogleApi.StorageTransfer.V1.Model.ObjectConditions.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.ObjectConditions","doc":"*   `excludePrefixes` (*type:* `list(String.t)`, *default:* `nil`) - If you specify `exclude_prefixes`, Storage Transfer Service uses the items in the `exclude_prefixes` array to determine which objects to exclude from a transfer. Objects must not start with one of the matching `exclude_prefixes` for inclusion in a transfer. The following are requirements of `exclude_prefixes`: * Each exclude-prefix can contain any sequence of Unicode characters, to a max length of 1024 bytes when UTF8-encoded, and must not contain Carriage Return or Line Feed characters. Wildcard matching and regular expression matching are not supported. * Each exclude-prefix must omit the leading slash. For example, to exclude the object `s3://my-aws-bucket/logs/y=2015/requests.gz`, specify the exclude-prefix as `logs/y=2015/requests.gz`. * None of the exclude-prefix values can be empty, if specified. * Each exclude-prefix must exclude a distinct portion of the object namespace. No exclude-prefix may be a prefix of another exclude-prefix. * If include_prefixes is specified, then each exclude-prefix must start with the value of a path explicitly included by `include_prefixes`. The max size of `exclude_prefixes` is 1000. For more information, see [Filtering objects from transfers](/storage-transfer/docs/filtering-objects-from-transfers).\n*   `includePrefixes` (*type:* `list(String.t)`, *default:* `nil`) - If you specify `include_prefixes`, Storage Transfer Service uses the items in the `include_prefixes` array to determine which objects to include in a transfer. Objects must start with one of the matching `include_prefixes` for inclusion in the transfer. If exclude_prefixes is specified, objects must not start with any of the `exclude_prefixes` specified for inclusion in the transfer. The following are requirements of `include_prefixes`: * Each include-prefix can contain any sequence of Unicode characters, to a max length of 1024 bytes when UTF8-encoded, and must not contain Carriage Return or Line Feed characters. Wildcard matching and regular expression matching are not supported. * Each include-prefix must omit the leading slash. For example, to include the object `s3://my-aws-bucket/logs/y=2015/requests.gz`, specify the include-prefix as `logs/y=2015/requests.gz`. * None of the include-prefix values can be empty, if specified. * Each include-prefix must include a distinct portion of the object namespace. No include-prefix may be a prefix of another include-prefix. The max size of `include_prefixes` is 1000. For more information, see [Filtering objects from transfers](/storage-transfer/docs/filtering-objects-from-transfers).\n*   `lastModifiedBefore` (*type:* `DateTime.t`, *default:* `nil`) - If specified, only objects with a \"last modification time\" before this timestamp and objects that don't have a \"last modification time\" are transferred.\n*   `lastModifiedSince` (*type:* `DateTime.t`, *default:* `nil`) - If specified, only objects with a \"last modification time\" on or after this timestamp and objects that don't have a \"last modification time\" are transferred. The `last_modified_since` and `last_modified_before` fields can be used together for chunked data processing. For example, consider a script that processes each day's worth of data at a time. For that you'd set each of the fields as follows: * `last_modified_since` to the start of the day * `last_modified_before` to the end of the day\n*   `maxTimeElapsedSinceLastModification` (*type:* `String.t`, *default:* `nil`) - Ensures that objects are not transferred if a specific maximum time has elapsed since the \"last modification time\". When a TransferOperation begins, objects with a \"last modification time\" are transferred only if the elapsed time between the start_time of the `TransferOperation`and the \"last modification time\" of the object is less than the value of max_time_elapsed_since_last_modification`. Objects that do not have a \"last modification time\" are also transferred.\n*   `minTimeElapsedSinceLastModification` (*type:* `String.t`, *default:* `nil`) - Ensures that objects are not transferred until a specific minimum time has elapsed after the \"last modification time\". When a TransferOperation begins, objects with a \"last modification time\" are transferred only if the elapsed time between the start_time of the `TransferOperation` and the \"last modification time\" of the object is equal to or greater than the value of min_time_elapsed_since_last_modification`. Objects that do not have a \"last modification time\" are also transferred.","ref":"GoogleApi.StorageTransfer.V1.Model.ObjectConditions.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.ObjectConditions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.ObjectConditions.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.ObjectConditions.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.ObjectConditions.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.Operation","doc":"This resource represents a long-running operation that is the result of a network API call.","ref":"GoogleApi.StorageTransfer.V1.Model.Operation.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.Operation","doc":"*   `done` (*type:* `boolean()`, *default:* `nil`) - If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.\n*   `error` (*type:* `GoogleApi.StorageTransfer.V1.Model.Status.t`, *default:* `nil`) - The error result of the operation in case of failure or cancellation.\n*   `metadata` (*type:* `map()`, *default:* `nil`) - Represents the transfer operation object. To request a TransferOperation object, use transferOperations.get.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The server-assigned unique name. The format of `name` is `transferOperations/some/unique/name`.\n*   `response` (*type:* `map()`, *default:* `nil`) - The normal, successful response of the operation. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.","ref":"GoogleApi.StorageTransfer.V1.Model.Operation.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.Operation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.Operation.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.Operation.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.Operation.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.PauseTransferOperationRequest","doc":"Request passed to PauseTransferOperation.","ref":"GoogleApi.StorageTransfer.V1.Model.PauseTransferOperationRequest.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.PauseTransferOperationRequest","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.PauseTransferOperationRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.PauseTransferOperationRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.PauseTransferOperationRequest.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.PauseTransferOperationRequest.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.PauseTransferOperationRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.PosixFilesystem","doc":"A POSIX filesystem resource.","ref":"GoogleApi.StorageTransfer.V1.Model.PosixFilesystem.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.PosixFilesystem","doc":"*   `rootDirectory` (*type:* `String.t`, *default:* `nil`) - Root directory path to the filesystem.","ref":"GoogleApi.StorageTransfer.V1.Model.PosixFilesystem.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.PosixFilesystem.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.PosixFilesystem.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.PosixFilesystem.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.PosixFilesystem.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.ReplicationSpec","doc":"Specifies the configuration for running a replication job.","ref":"GoogleApi.StorageTransfer.V1.Model.ReplicationSpec.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.ReplicationSpec","doc":"*   `gcsDataSink` (*type:* `GoogleApi.StorageTransfer.V1.Model.GcsData.t`, *default:* `nil`) - Specifies cloud Storage data sink.\n*   `gcsDataSource` (*type:* `GoogleApi.StorageTransfer.V1.Model.GcsData.t`, *default:* `nil`) - Specifies cloud Storage data source.\n*   `objectConditions` (*type:* `GoogleApi.StorageTransfer.V1.Model.ObjectConditions.t`, *default:* `nil`) - Specifies the object conditions to only include objects that satisfy these conditions in the set of data source objects. Object conditions based on objects' \"last modification time\" do not exclude objects in a data sink.\n*   `transferOptions` (*type:* `GoogleApi.StorageTransfer.V1.Model.TransferOptions.t`, *default:* `nil`) - Specifies the actions to be performed on the object during replication. Delete options are not supported for replication and when specified, the request fails with an INVALID_ARGUMENT error.","ref":"GoogleApi.StorageTransfer.V1.Model.ReplicationSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.ReplicationSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.ReplicationSpec.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.ReplicationSpec.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.ReplicationSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.ResumeTransferOperationRequest","doc":"Request passed to ResumeTransferOperation.","ref":"GoogleApi.StorageTransfer.V1.Model.ResumeTransferOperationRequest.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.ResumeTransferOperationRequest","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.ResumeTransferOperationRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.ResumeTransferOperationRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.ResumeTransferOperationRequest.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.ResumeTransferOperationRequest.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.ResumeTransferOperationRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.RunTransferJobRequest","doc":"Request passed to RunTransferJob.","ref":"GoogleApi.StorageTransfer.V1.Model.RunTransferJobRequest.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.RunTransferJobRequest","doc":"*   `projectId` (*type:* `String.t`, *default:* `nil`) - Required. The ID of the Google Cloud project that owns the transfer job.","ref":"GoogleApi.StorageTransfer.V1.Model.RunTransferJobRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.RunTransferJobRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.RunTransferJobRequest.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.RunTransferJobRequest.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.RunTransferJobRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.S3CompatibleMetadata","doc":"S3CompatibleMetadata contains the metadata fields that apply to the basic types of S3-compatible data providers.","ref":"GoogleApi.StorageTransfer.V1.Model.S3CompatibleMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.S3CompatibleMetadata","doc":"*   `authMethod` (*type:* `String.t`, *default:* `nil`) - Specifies the authentication and authorization method used by the storage service. When not specified, Transfer Service will attempt to determine right auth method to use.\n*   `listApi` (*type:* `String.t`, *default:* `nil`) - The Listing API to use for discovering objects. When not specified, Transfer Service will attempt to determine the right API to use.\n*   `protocol` (*type:* `String.t`, *default:* `nil`) - Specifies the network protocol of the agent. When not specified, the default value of NetworkProtocol NETWORK_PROTOCOL_HTTPS is used.\n*   `requestModel` (*type:* `String.t`, *default:* `nil`) - Specifies the API request model used to call the storage service. When not specified, the default value of RequestModel REQUEST_MODEL_VIRTUAL_HOSTED_STYLE is used.","ref":"GoogleApi.StorageTransfer.V1.Model.S3CompatibleMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.S3CompatibleMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.S3CompatibleMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.S3CompatibleMetadata.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.S3CompatibleMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.Schedule","doc":"Transfers can be scheduled to recur or to run just once.","ref":"GoogleApi.StorageTransfer.V1.Model.Schedule.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.Schedule","doc":"*   `endTimeOfDay` (*type:* `GoogleApi.StorageTransfer.V1.Model.TimeOfDay.t`, *default:* `nil`) - The time in UTC that no further transfer operations are scheduled. Combined with schedule_end_date, `end_time_of_day` specifies the end date and time for starting new transfer operations. This field must be greater than or equal to the timestamp corresponding to the combintation of schedule_start_date and start_time_of_day, and is subject to the following: * If `end_time_of_day` is not set and `schedule_end_date` is set, then a default value of `23:59:59` is used for `end_time_of_day`. * If `end_time_of_day` is set and `schedule_end_date` is not set, then INVALID_ARGUMENT is returned.\n*   `repeatInterval` (*type:* `String.t`, *default:* `nil`) - Interval between the start of each scheduled TransferOperation. If unspecified, the default value is 24 hours. This value may not be less than 1 hour.\n*   `scheduleEndDate` (*type:* `GoogleApi.StorageTransfer.V1.Model.Date.t`, *default:* `nil`) - The last day a transfer runs. Date boundaries are determined relative to UTC time. A job runs once per 24 hours within the following guidelines: * If `schedule_end_date` and schedule_start_date are the same and in the future relative to UTC, the transfer is executed only one time. * If `schedule_end_date` is later than `schedule_start_date` and `schedule_end_date` is in the future relative to UTC, the job runs each day at start_time_of_day through `schedule_end_date`.\n*   `scheduleStartDate` (*type:* `GoogleApi.StorageTransfer.V1.Model.Date.t`, *default:* `nil`) - Required. The start date of a transfer. Date boundaries are determined relative to UTC time. If `schedule_start_date` and start_time_of_day are in the past relative to the job's creation time, the transfer starts the day after you schedule the transfer request. **Note:** When starting jobs at or near midnight UTC it is possible that a job starts later than expected. For example, if you send an outbound request on June 1 one millisecond prior to midnight UTC and the Storage Transfer Service server receives the request on June 2, then it creates a TransferJob with `schedule_start_date` set to June 2 and a `start_time_of_day` set to midnight UTC. The first scheduled TransferOperation takes place on June 3 at midnight UTC.\n*   `startTimeOfDay` (*type:* `GoogleApi.StorageTransfer.V1.Model.TimeOfDay.t`, *default:* `nil`) - The time in UTC that a transfer job is scheduled to run. Transfers may start later than this time. If `start_time_of_day` is not specified: * One-time transfers run immediately. * Recurring transfers run immediately, and each day at midnight UTC, through schedule_end_date. If `start_time_of_day` is specified: * One-time transfers run at the specified time. * Recurring transfers run at the specified time each day, through `schedule_end_date`.","ref":"GoogleApi.StorageTransfer.V1.Model.Schedule.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.Schedule.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.Schedule.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.Schedule.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.Schedule.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.Status","doc":"The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).","ref":"GoogleApi.StorageTransfer.V1.Model.Status.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.Status","doc":"*   `code` (*type:* `integer()`, *default:* `nil`) - The status code, which should be an enum value of google.rpc.Code.\n*   `details` (*type:* `list(map())`, *default:* `nil`) - A list of messages that carry the error details. There is a common set of message types for APIs to use.\n*   `message` (*type:* `String.t`, *default:* `nil`) - A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.","ref":"GoogleApi.StorageTransfer.V1.Model.Status.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.Status.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.Status.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.Status.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.Status.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.TimeOfDay","doc":"Represents a time of day. The date and time zone are either not significant or are specified elsewhere. An API may choose to allow leap seconds. Related types are google.type.Date and `google.protobuf.Timestamp`.","ref":"GoogleApi.StorageTransfer.V1.Model.TimeOfDay.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.TimeOfDay","doc":"*   `hours` (*type:* `integer()`, *default:* `nil`) - Hours of day in 24 hour format. Should be from 0 to 23. An API may choose to allow the value \"24:00:00\" for scenarios like business closing time.\n*   `minutes` (*type:* `integer()`, *default:* `nil`) - Minutes of hour of day. Must be from 0 to 59.\n*   `nanos` (*type:* `integer()`, *default:* `nil`) - Fractions of seconds in nanoseconds. Must be from 0 to 999,999,999.\n*   `seconds` (*type:* `integer()`, *default:* `nil`) - Seconds of minutes of the time. Must normally be from 0 to 59. An API may allow the value 60 if it allows leap-seconds.","ref":"GoogleApi.StorageTransfer.V1.Model.TimeOfDay.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.TimeOfDay.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.TimeOfDay.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.TimeOfDay.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.TimeOfDay.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.TransferCounters","doc":"A collection of counters that report the progress of a transfer operation.","ref":"GoogleApi.StorageTransfer.V1.Model.TransferCounters.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.TransferCounters","doc":"*   `bytesCopiedToSink` (*type:* `String.t`, *default:* `nil`) - Bytes that are copied to the data sink.\n*   `bytesDeletedFromSink` (*type:* `String.t`, *default:* `nil`) - Bytes that are deleted from the data sink.\n*   `bytesDeletedFromSource` (*type:* `String.t`, *default:* `nil`) - Bytes that are deleted from the data source.\n*   `bytesFailedToDeleteFromSink` (*type:* `String.t`, *default:* `nil`) - Bytes that failed to be deleted from the data sink.\n*   `bytesFoundFromSource` (*type:* `String.t`, *default:* `nil`) - Bytes found in the data source that are scheduled to be transferred, excluding any that are filtered based on object conditions or skipped due to sync.\n*   `bytesFoundOnlyFromSink` (*type:* `String.t`, *default:* `nil`) - Bytes found only in the data sink that are scheduled to be deleted.\n*   `bytesFromSourceFailed` (*type:* `String.t`, *default:* `nil`) - Bytes in the data source that failed to be transferred or that failed to be deleted after being transferred.\n*   `bytesFromSourceSkippedBySync` (*type:* `String.t`, *default:* `nil`) - Bytes in the data source that are not transferred because they already exist in the data sink.\n*   `directoriesFailedToListFromSource` (*type:* `String.t`, *default:* `nil`) - For transfers involving PosixFilesystem only. Number of listing failures for each directory found at the source. Potential failures when listing a directory include permission failure or block failure. If listing a directory fails, no files in the directory are transferred.\n*   `directoriesFoundFromSource` (*type:* `String.t`, *default:* `nil`) - For transfers involving PosixFilesystem only. Number of directories found while listing. For example, if the root directory of the transfer is `base/` and there are two other directories, `a/` and `b/` under this directory, the count after listing `base/`, `base/a/` and `base/b/` is 3.\n*   `directoriesSuccessfullyListedFromSource` (*type:* `String.t`, *default:* `nil`) - For transfers involving PosixFilesystem only. Number of successful listings for each directory found at the source.\n*   `intermediateObjectsCleanedUp` (*type:* `String.t`, *default:* `nil`) - Number of successfully cleaned up intermediate objects.\n*   `intermediateObjectsFailedCleanedUp` (*type:* `String.t`, *default:* `nil`) - Number of intermediate objects failed cleaned up.\n*   `objectsCopiedToSink` (*type:* `String.t`, *default:* `nil`) - Objects that are copied to the data sink.\n*   `objectsDeletedFromSink` (*type:* `String.t`, *default:* `nil`) - Objects that are deleted from the data sink.\n*   `objectsDeletedFromSource` (*type:* `String.t`, *default:* `nil`) - Objects that are deleted from the data source.\n*   `objectsFailedToDeleteFromSink` (*type:* `String.t`, *default:* `nil`) - Objects that failed to be deleted from the data sink.\n*   `objectsFoundFromSource` (*type:* `String.t`, *default:* `nil`) - Objects found in the data source that are scheduled to be transferred, excluding any that are filtered based on object conditions or skipped due to sync.\n*   `objectsFoundOnlyFromSink` (*type:* `String.t`, *default:* `nil`) - Objects found only in the data sink that are scheduled to be deleted.\n*   `objectsFromSourceFailed` (*type:* `String.t`, *default:* `nil`) - Objects in the data source that failed to be transferred or that failed to be deleted after being transferred.\n*   `objectsFromSourceSkippedBySync` (*type:* `String.t`, *default:* `nil`) - Objects in the data source that are not transferred because they already exist in the data sink.","ref":"GoogleApi.StorageTransfer.V1.Model.TransferCounters.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.TransferCounters.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.TransferCounters.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.TransferCounters.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.TransferCounters.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.TransferJob","doc":"This resource represents the configuration of a transfer job that runs periodically.","ref":"GoogleApi.StorageTransfer.V1.Model.TransferJob.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.TransferJob","doc":"*   `creationTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time that the transfer job was created.\n*   `deletionTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time that the transfer job was deleted.\n*   `description` (*type:* `String.t`, *default:* `nil`) - A description provided by the user for the job. Its max length is 1024 bytes when Unicode-encoded.\n*   `eventStream` (*type:* `GoogleApi.StorageTransfer.V1.Model.EventStream.t`, *default:* `nil`) - Specifies the event stream for the transfer job for event-driven transfers. When EventStream is specified, the Schedule fields are ignored.\n*   `lastModificationTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time that the transfer job was last modified.\n*   `latestOperationName` (*type:* `String.t`, *default:* `nil`) - The name of the most recently started TransferOperation of this JobConfig. Present if a TransferOperation has been created for this JobConfig.\n*   `loggingConfig` (*type:* `GoogleApi.StorageTransfer.V1.Model.LoggingConfig.t`, *default:* `nil`) - Logging configuration.\n*   `name` (*type:* `String.t`, *default:* `nil`) - A unique name (within the transfer project) assigned when the job is created. If this field is empty in a CreateTransferJobRequest, Storage Transfer Service assigns a unique name. Otherwise, the specified name is used as the unique name for this job. If the specified name is in use by a job, the creation request fails with an ALREADY_EXISTS error. This name must start with `\"transferJobs/\"` prefix and end with a letter or a number, and should be no more than 128 characters. For transfers involving PosixFilesystem, this name must start with `transferJobs/OPI` specifically. For all other transfer types, this name must not start with `transferJobs/OPI`. Non-PosixFilesystem example: `\"transferJobs/^(?!OPI)[A-Za-z0-9-._~]*[A-Za-z0-9]$\"` PosixFilesystem example: `\"transferJobs/OPI^[A-Za-z0-9-._~]*[A-Za-z0-9]$\"` Applications must not rely on the enforcement of naming requirements involving OPI. Invalid job names fail with an INVALID_ARGUMENT error.\n*   `notificationConfig` (*type:* `GoogleApi.StorageTransfer.V1.Model.NotificationConfig.t`, *default:* `nil`) - Notification configuration.\n*   `projectId` (*type:* `String.t`, *default:* `nil`) - The ID of the Google Cloud project that owns the job.\n*   `replicationSpec` (*type:* `GoogleApi.StorageTransfer.V1.Model.ReplicationSpec.t`, *default:* `nil`) - Replication specification.\n*   `schedule` (*type:* `GoogleApi.StorageTransfer.V1.Model.Schedule.t`, *default:* `nil`) - Specifies schedule for the transfer job. This is an optional field. When the field is not set, the job never executes a transfer, unless you invoke RunTransferJob or update the job to have a non-empty schedule.\n*   `status` (*type:* `String.t`, *default:* `nil`) - Status of the job. This value MUST be specified for `CreateTransferJobRequests`. **Note:** The effect of the new job status takes place during a subsequent job run. For example, if you change the job status from ENABLED to DISABLED, and an operation spawned by the transfer is running, the status change would not affect the current operation.\n*   `transferSpec` (*type:* `GoogleApi.StorageTransfer.V1.Model.TransferSpec.t`, *default:* `nil`) - Transfer specification.","ref":"GoogleApi.StorageTransfer.V1.Model.TransferJob.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.TransferJob.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.TransferJob.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.TransferJob.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.TransferJob.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.TransferManifest","doc":"Specifies where the manifest is located.","ref":"GoogleApi.StorageTransfer.V1.Model.TransferManifest.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.TransferManifest","doc":"*   `location` (*type:* `String.t`, *default:* `nil`) - Specifies the path to the manifest in Cloud Storage. The Google-managed service account for the transfer must have `storage.objects.get` permission for this object. An example path is `gs://bucket_name/path/manifest.csv`.","ref":"GoogleApi.StorageTransfer.V1.Model.TransferManifest.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.TransferManifest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.TransferManifest.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.TransferManifest.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.TransferManifest.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.TransferOperation","doc":"A description of the execution of a transfer.","ref":"GoogleApi.StorageTransfer.V1.Model.TransferOperation.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.TransferOperation","doc":"*   `counters` (*type:* `GoogleApi.StorageTransfer.V1.Model.TransferCounters.t`, *default:* `nil`) - Information about the progress of the transfer operation.\n*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - End time of this transfer execution.\n*   `errorBreakdowns` (*type:* `list(GoogleApi.StorageTransfer.V1.Model.ErrorSummary.t)`, *default:* `nil`) - Summarizes errors encountered with sample error log entries.\n*   `loggingConfig` (*type:* `GoogleApi.StorageTransfer.V1.Model.LoggingConfig.t`, *default:* `nil`) - Cloud Logging configuration.\n*   `name` (*type:* `String.t`, *default:* `nil`) - A globally unique ID assigned by the system.\n*   `notificationConfig` (*type:* `GoogleApi.StorageTransfer.V1.Model.NotificationConfig.t`, *default:* `nil`) - Notification configuration.\n*   `projectId` (*type:* `String.t`, *default:* `nil`) - The ID of the Google Cloud project that owns the operation.\n*   `startTime` (*type:* `DateTime.t`, *default:* `nil`) - Start time of this transfer execution.\n*   `status` (*type:* `String.t`, *default:* `nil`) - Status of the transfer operation.\n*   `transferJobName` (*type:* `String.t`, *default:* `nil`) - The name of the transfer job that triggers this transfer operation.\n*   `transferSpec` (*type:* `GoogleApi.StorageTransfer.V1.Model.TransferSpec.t`, *default:* `nil`) - Transfer specification.","ref":"GoogleApi.StorageTransfer.V1.Model.TransferOperation.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.TransferOperation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.TransferOperation.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.TransferOperation.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.TransferOperation.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.TransferOptions","doc":"TransferOptions define the actions to be performed on objects in a transfer.","ref":"GoogleApi.StorageTransfer.V1.Model.TransferOptions.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.TransferOptions","doc":"*   `deleteObjectsFromSourceAfterTransfer` (*type:* `boolean()`, *default:* `nil`) - Whether objects should be deleted from the source after they are transferred to the sink. **Note:** This option and delete_objects_unique_in_sink are mutually exclusive.\n*   `deleteObjectsUniqueInSink` (*type:* `boolean()`, *default:* `nil`) - Whether objects that exist only in the sink should be deleted. **Note:** This option and delete_objects_from_source_after_transfer are mutually exclusive.\n*   `metadataOptions` (*type:* `GoogleApi.StorageTransfer.V1.Model.MetadataOptions.t`, *default:* `nil`) - Represents the selected metadata options for a transfer job.\n*   `overwriteObjectsAlreadyExistingInSink` (*type:* `boolean()`, *default:* `nil`) - When to overwrite objects that already exist in the sink. The default is that only objects that are different from the source are ovewritten. If true, all objects in the sink whose name matches an object in the source are overwritten with the source object.\n*   `overwriteWhen` (*type:* `String.t`, *default:* `nil`) - When to overwrite objects that already exist in the sink. If not set, overwrite behavior is determined by overwrite_objects_already_existing_in_sink.","ref":"GoogleApi.StorageTransfer.V1.Model.TransferOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.TransferOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.TransferOptions.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.TransferOptions.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.TransferOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.TransferSpec","doc":"Configuration for running a transfer.","ref":"GoogleApi.StorageTransfer.V1.Model.TransferSpec.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.TransferSpec","doc":"*   `awsS3CompatibleDataSource` (*type:* `GoogleApi.StorageTransfer.V1.Model.AwsS3CompatibleData.t`, *default:* `nil`) - An AWS S3 compatible data source.\n*   `awsS3DataSource` (*type:* `GoogleApi.StorageTransfer.V1.Model.AwsS3Data.t`, *default:* `nil`) - An AWS S3 data source.\n*   `azureBlobStorageDataSource` (*type:* `GoogleApi.StorageTransfer.V1.Model.AzureBlobStorageData.t`, *default:* `nil`) - An Azure Blob Storage data source.\n*   `gcsDataSink` (*type:* `GoogleApi.StorageTransfer.V1.Model.GcsData.t`, *default:* `nil`) - A Cloud Storage data sink.\n*   `gcsDataSource` (*type:* `GoogleApi.StorageTransfer.V1.Model.GcsData.t`, *default:* `nil`) - A Cloud Storage data source.\n*   `gcsIntermediateDataLocation` (*type:* `GoogleApi.StorageTransfer.V1.Model.GcsData.t`, *default:* `nil`) - For transfers between file systems, specifies a Cloud Storage bucket to be used as an intermediate location through which to transfer data. See [Transfer data between file systems](https://cloud.google.com/storage-transfer/docs/file-to-file) for more information.\n*   `hdfsDataSource` (*type:* `GoogleApi.StorageTransfer.V1.Model.HdfsData.t`, *default:* `nil`) - An HDFS cluster data source.\n*   `httpDataSource` (*type:* `GoogleApi.StorageTransfer.V1.Model.HttpData.t`, *default:* `nil`) - An HTTP URL data source.\n*   `objectConditions` (*type:* `GoogleApi.StorageTransfer.V1.Model.ObjectConditions.t`, *default:* `nil`) - Only objects that satisfy these object conditions are included in the set of data source and data sink objects. Object conditions based on objects' \"last modification time\" do not exclude objects in a data sink.\n*   `posixDataSink` (*type:* `GoogleApi.StorageTransfer.V1.Model.PosixFilesystem.t`, *default:* `nil`) - A POSIX Filesystem data sink.\n*   `posixDataSource` (*type:* `GoogleApi.StorageTransfer.V1.Model.PosixFilesystem.t`, *default:* `nil`) - A POSIX Filesystem data source.\n*   `sinkAgentPoolName` (*type:* `String.t`, *default:* `nil`) - Specifies the agent pool name associated with the posix data sink. When unspecified, the default name is used.\n*   `sourceAgentPoolName` (*type:* `String.t`, *default:* `nil`) - Specifies the agent pool name associated with the posix data source. When unspecified, the default name is used.\n*   `transferManifest` (*type:* `GoogleApi.StorageTransfer.V1.Model.TransferManifest.t`, *default:* `nil`) - A manifest file provides a list of objects to be transferred from the data source. This field points to the location of the manifest file. Otherwise, the entire source bucket is used. ObjectConditions still apply.\n*   `transferOptions` (*type:* `GoogleApi.StorageTransfer.V1.Model.TransferOptions.t`, *default:* `nil`) - If the option delete_objects_unique_in_sink is `true` and time-based object conditions such as 'last modification time' are specified, the request fails with an INVALID_ARGUMENT error.","ref":"GoogleApi.StorageTransfer.V1.Model.TransferSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.TransferSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.TransferSpec.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.TransferSpec.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.TransferSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.StorageTransfer.V1.Model.UpdateTransferJobRequest","doc":"Request passed to UpdateTransferJob.","ref":"GoogleApi.StorageTransfer.V1.Model.UpdateTransferJobRequest.html"},{"type":"module","title":"Attributes - GoogleApi.StorageTransfer.V1.Model.UpdateTransferJobRequest","doc":"*   `projectId` (*type:* `String.t`, *default:* `nil`) - Required. The ID of the Google Cloud project that owns the job.\n*   `transferJob` (*type:* `GoogleApi.StorageTransfer.V1.Model.TransferJob.t`, *default:* `nil`) - Required. The job to update. `transferJob` is expected to specify one or more of five fields: description, transfer_spec, notification_config, logging_config, and status. An `UpdateTransferJobRequest` that specifies other fields are rejected with the error INVALID_ARGUMENT. Updating a job status to DELETED requires `storagetransfer.jobs.delete` permission.\n*   `updateTransferJobFieldMask` (*type:* `String.t`, *default:* `nil`) - The field mask of the fields in `transferJob` that are to be updated in this request. Fields in `transferJob` that can be updated are: description, transfer_spec, notification_config, logging_config, and status. To update the `transfer_spec` of the job, a complete transfer specification must be provided. An incomplete specification missing any required fields is rejected with the error INVALID_ARGUMENT.","ref":"GoogleApi.StorageTransfer.V1.Model.UpdateTransferJobRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.StorageTransfer.V1.Model.UpdateTransferJobRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.StorageTransfer.V1.Model.UpdateTransferJobRequest.html#decode/2"},{"type":"type","title":"GoogleApi.StorageTransfer.V1.Model.UpdateTransferJobRequest.t/0","doc":"","ref":"GoogleApi.StorageTransfer.V1.Model.UpdateTransferJobRequest.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}